import {RcsbFv3DCustom, RcsbFv3DCustomInterface} from "../../RcsbFv3D/RcsbFv3DCustom";
import { DebugUtil } from "./tmdet-extension/debug-utils";
import { createFeatureViewerConfing } from "./FeatureViewConfig";
import { registerRegionDescriptorData } from "./UniTmpHelper";

export { DebugUtil };

document.addEventListener("DOMContentLoaded", (event) => {
    (async function(event) {

        DebugUtil.enableLog();

        const pdbEntry = "2atk";
        const labelAsymId = "C";
        const params = {
            side1: "Inside",
            htpEntry: "GLPA_HUMAN",
            pdbEntry: pdbEntry,
            labelAsymId: labelAsymId,
            pdbtmEntry: `${pdbEntry}_${labelAsymId}`
        };

        const descriptorUrl = `/${pdbEntry}.json`;
        registerRegionDescriptorData(descriptorUrl, params.side1 as any);

        const { sequenceConfig, molstarConfig } = await createFeatureViewerConfing(params);
        const panel3dConfig: RcsbFv3DCustomInterface = {
            elementId: "null",
            sequencePanelConfig: sequenceConfig,
            structurePanelConfig: molstarConfig
        };
        molstarConfig.structureViewerConfig.viewerProps.layoutShowSequence = true;
        (molstarConfig as any).loadConfig.loadParams.params = {
            preset: { modelIndex: 0 }
        }
        DebugUtil.log('Panel config', panel3dConfig);

        const panel3d = new RcsbFv3DCustom(panel3dConfig);
        panel3d.render();

    })();
});
